Commit 1d017c1c authored by sghctoma's avatar sghctoma
Browse files

Set minimum Meson version to 0.48.0

This commit sets the required Meson version to >=0.48.0, and removes the
comment about building on FreeBSD requires an extra flag.
parent aacf0c42
...@@ -74,9 +74,6 @@ Run these commands: ...@@ -74,9 +74,6 @@ Run these commands:
meson build meson build
ninja -C build ninja -C build
If you use Meson older than 0.48.0 on FreeBSD, you need to pass an extra flag
to prevent a linking error: `meson build -D b_lundef=false`.
Install like so: Install like so:
sudo ninja -C build install sudo ninja -C build install
......
...@@ -3,7 +3,7 @@ project( ...@@ -3,7 +3,7 @@ project(
'c', 'c',
version: '0.0.1', version: '0.0.1',
license: 'MIT', license: 'MIT',
meson_version: '>=0.47.1', meson_version: '>=0.48.0',
default_options: [ default_options: [
'c_std=c11', 'c_std=c11',
'warning_level=2', 'warning_level=2',
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment